Herald
OpenapiAuth

Register new user account

Creates a new user account with email and optional username. If email verification is required for realm, account will be created in a pending state and a verification email will be sent.

POST
/api/auth/{realmId}/register

Creates a new user account with email and optional username. If email verification is required for realm, account will be created in a pending state and a verification email will be sent.

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
password*string
turnstileToken?string|null
username?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/register" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "message": "string",  "verificationRequired": true}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}